> ## Documentation Index
> Fetch the complete documentation index at: https://docs.keevx.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# 查看图生视频任务状态

> 查询视频生成任务的当前状态。



## OpenAPI

````yaml GET /v1/image_to_video/{task_id}
openapi: 3.1.1
info:
  title: Keevx API
  description: Keevx AI API，提供图片生成、图生视频和视频翻译服务。
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.keevx.cn/
security:
  - bearerAuth: []
paths:
  /v1/image_to_video/{task_id}:
    get:
      summary: 查询图生视频任务状态
      description: 查询视频生成任务的当前状态。
      operationId: getImageToVideoStatus
      parameters:
        - name: task_id
          in: path
          description: 要查询的任务 ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: 任务状态响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VideoInfoResponse'
        '400':
          description: 请求错误
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    VideoInfoResponse:
      type: object
      description: 图生视频任务响应
      required:
        - code
        - msg
        - data
      properties:
        code:
          type: integer
          description: 状态码
          example: 0
        msg:
          type: string
          description: 响应消息
          example: ok
        data:
          type: object
          description: 任务详情
          required:
            - task_id
            - status
          properties:
            task_id:
              type: string
              description: 任务唯一标识符
              example: i2v-d6b6472bcf724d0399e06d1390cb964e
            status:
              type: string
              description: 任务当前状态
              example: SUCCEEDED
            video_url:
              type: string
              format: uri
              description: 生成视频的 URL。生成的视频和图片文件 URL 仅保留 7 天，请及时下载保存。
              example: >-
                https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/image-to-video/9966750584897124421/sample_0.mp4
            thumbnail_url:
              type: string
              format: uri
              description: 视频缩略图 URL。生成的视频和图片文件 URL 仅保留 7 天，请及时下载保存。
              example: >-
                https://storage.googleapis.com/xiling_us_central1_bucket/backend-saas-cdn/video-ai/tmp/image2video/veo/022934e6-b6d2-4d15-a320-cd60f6e43ae3/i2v-d6b6472bcf724d0399e06d1390cb964e.webp
            error_message:
              type: string
              description: 任务失败时的错误详情
              example: ''
            duration:
              type: integer
              description: 视频时长（秒）
              example: 8
            width:
              type: integer
              description: 视频宽度（像素）
              example: 720
            height:
              type: integer
              description: 视频高度（像素）
              example: 1280
    Error:
      type: object
      required:
        - code
        - msg
      properties:
        code:
          type: integer
          format: int32
          example: 100001
        msg:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````